에티테마
미디어 | 무료템플릿자료실 | 포트폴리오

두가지의 jquery 사용하기팁 구버전과 신버전 동시에 사용하기

페이지 정보

작성자 소프트존 쪽지보내기 메일보내기 자기소개 아이디로 검색 전체게시물 댓글 0건 조회 99회 작성일 19-01-24 04:33

본문

최근 그누보드5와 영카트5 버전으로 작업을 하면서 한가지 알아낸 사실이 있습니다.

현재 그누보드5와 영카트5는 jquery-1.8.3.min.js 버전을 사용하고 있습니다.

이는 익스플로러 대응을 하려고 사용하는것으로 알고 있습니다.


그러므로 최신버전의 jquery 를 사용하기 위해서는 두개의 jquery 를 공존시킬 필요가 있습니다.

만일 jquery-1.8.3.min.js 가 필요없다면 모든 자바스크립트 코드를 대량으로 수정해야 되기때문에 시간이 너무 많이 걸립니다.


그누보드에서 두가지의 jquery 버전을 사용할경우 최상단 head 에서 이미 jquery-1.8.3.min.js 를 불러들이게 됩니다.

그러므로 별칭(Alias)으로 $ (달러표시)를 사용하게 되는데요.

최신버전의 jquery 의 별칭을 변경해주시면 해결됩니다.


구버전의 jquery 는 $("id") 값으로 사용한다면

최신버전의 경우 jQuery("id") 값처럼 사용하면 됩니다.


위와 같이 사용하기 위해서는 위치가 중요한데요. 맨처음 head 에서 제일먼저 불러들이는 jquery 의 버전은

jquery-1.8.3.min.js 이므로 전반적으로 jquery 사용시에는 $ 로 표시해서 작업을 하면되고

새로운 버전의 jquery 의경우 하단에 불러들이게 됩니다.

그러므로 새로운 버전의 jquery의 별칭작업을 하시면 해결됩니다.


<script src="<?php echo G5_THEME_URL?>/assets/plugins/jquery/jquery.min.js"></script>

<script>

var jQuery = $.noConflict(true);

</script>


위코드에서 처럼 $.noConflict(true);

를 사용하여 별칭을 jQuery 로 변경하게되면

신버전에서의 jquery 를 사용할 수 있습니다.


이 방법은 완벽하지 않은 방법이며 환경에 따라서 jquery 충돌이 일어날 수 있기 때문에

맹신하시면 안됩니다. ^^;


저의 경우는 매우 잘돌아가고 있지만 언제 오류가 날지 모르는 상황이기 때문에 별도의 피드백은 받지 않겠습니다.

도움이 되시라고 팁 올려드립니다.



  • 트위터로 보내기
  • 페이스북으로 보내기
  • 구글플러스로 보내기

첨부파일

댓글목록

등록된 댓글이 없습니다.

카테고리

카테고리
 질문답변
 작업요청
그누보드팁
 영카트팁
 그누M팁
 자료실

프리미엄

프리미엄

최근이미지리스트

최근이미지리스트